Project Chrono: chrono::vehicle::SpringForce Class Reference

Public Member Functions | Protected Attributes | List of all members
chrono::vehicle::SpringForce Class Reference
VEHICLE module

## Description

Base class for linear and nonlinear translational spring forces.

`#include <ChSubsysDefs.h>`

Inheritance diagram for chrono::vehicle::SpringForce:
[legend]
Collaboration diagram for chrono::vehicle::SpringForce:
[legend]

## Public Member Functions
| SpringForce (double preload)
void | enable_stops (double min_length, double max_length)
void | set_stops (const std::vector< std::pair< double, double > > &data_bump, const std::vector< std::pair< double, double > > &data_rebound)
void | set_stops (double bump_coefficient, double rebound_coefficient)
double | evaluate_stops (double length)
virtual rapidjson::Value | exportJSON (rapidjson::Document::AllocatorType &allocator) override
| Optional reporting function to generate a JSON value with functor information.
Public Member Functions inherited from chrono::ChLinkTSDA::ForceFunctor
virtual double | evaluate (double time, double rest_length, double length, double vel, const ChLinkTSDA &link)=0
| Calculate and return the general spring-damper force at the specified configuration.

## Protected Attributes
double | m_P
| pre-tension
bool | m_stops
double | m_min_length
double | m_max_length
ChFunctionInterp | m_bump
ChFunctionInterp | m_rebound

## Member Function Documentation

## ◆ exportJSON()

rapidjson::Value chrono::vehicle::SpringForce::exportJSON | ( | rapidjson::Document::AllocatorType & | allocator | ) |
| overridevirtual

Optional reporting function to generate a JSON value with functor information.

Reimplemented from chrono::ChLinkTSDA::ForceFunctor.

Reimplemented in chrono::vehicle::LinearSpringDamperForce, chrono::vehicle::LinearSpringForce, chrono::vehicle::MapSpringDamperForce, chrono::vehicle::NonlinearSpringDamperForce, and chrono::vehicle::NonlinearSpringForce.

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono_vehicle/ChSubsysDefs.h
- D:/W/B/src/chrono-9.0.1/src/chrono_vehicle/ChSubsysDefs.cpp